package zemplen.ui;

import hibergui.Form;
import hibergui.hibernate.HibernateM2OEdit_Combo;

import org.eclipse.swt.widgets.Composite;

import zemplen.model.Szemely;

public class SzemelyCombo extends HibernateM2OEdit_Combo<Szemely> {

	public SzemelyCombo(Form form, Composite cptParent, int style) {
		super(form, cptParent, style, "szemely", "személy", "nev");
		
		btnAssoc.setText("Személyek");
		refresh();
	}

	@Override
	protected Form<Szemely> createForm(Composite cptParent, int style) {
		return new SzemelyForm(cptParent, style);
	}
}
